org.apache.poi.sl.usermodel

## Interface PlaceholderDetails

- All Known Implementing Classes:
    HSLFPlaceholderDetails, HSLFShapePlaceholderDetails, XSLFPlaceholderDetails

      public interface PlaceholderDetails

  Extended details about placholders
  Since:
    POI 4.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PlaceholderDetails.PlaceholderSize`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Placeholder` | `getPlaceholder()`
    `PlaceholderDetails.PlaceholderSize` | `getSize()`
    `java.lang.String` | `getText()` If the placeholder shape or object stores text, this text is returned otherwise `null`.
    `boolean` | `isVisible()`
    `void` | `setPlaceholder(Placeholder placeholder)` Specifies that the corresponding shape should be represented by the generating application as a placeholder.
    `void` | `setSize(PlaceholderDetails.PlaceholderSize size)`
    `void` | `setText(java.lang.String text)` If the placeholder shape or object stores text, the given text is stored otherwise this is a no-op.
    `void` | `setVisible(boolean isVisible)`

- - ### Method Detail

    - #### getPlaceholder

          Placeholder getPlaceholder()

    - #### setPlaceholder

          void setPlaceholder(Placeholder placeholder)

      Specifies that the corresponding shape should be represented by the generating application as a placeholder. When a shape is considered a placeholder by the generating application it can have special properties to alert the user that they may enter content into the shape. Different types of placeholders are allowed and can be specified by using the placeholder type attribute for this element
      Parameters:
        `placeholder` - The shape to use as placeholder or null if no placeholder should be set.

    - #### isVisible

          boolean isVisible()

    - #### setVisible

          void setVisible(boolean isVisible)

    - #### getSize

          PlaceholderDetails.PlaceholderSize getSize()

    - #### setSize

          void setSize(PlaceholderDetails.PlaceholderSize size)

    - #### getText

          java.lang.String getText()

      If the placeholder shape or object stores text, this text is returned otherwise `null`.
      Returns:
        the text of the shape / placeholder
      Since:
        POI 4.0.0

    - #### setText

          void setText(java.lang.String text)

      If the placeholder shape or object stores text, the given text is stored otherwise this is a no-op.
      Parameters:
        `text` - the placeholder text
      Since:
        POI 4.0.0

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.